ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/deliantra/server/plugins/cfpython/Makefile.in
(Generate patch)

Comparing deliantra/server/plugins/cfpython/Makefile.in (file contents):
Revision 1.4 by root, Thu Mar 16 21:08:20 2006 UTC vs.
Revision 1.5 by root, Sun May 7 12:49:26 2006 UTC

1# Makefile.in generated by automake 1.9.6 from Makefile.am. 1# Makefile.in generated by automake 1.7.9 from Makefile.am.
2# @configure_input@ 2# @configure_input@
3 3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5# 2003, 2004, 2005 Free Software Foundation, Inc. 5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation 6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it, 7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved. 8# with or without modifications, as long as this notice is preserved.
9 9
10# This program is distributed in the hope that it will be useful, 10# This program is distributed in the hope that it will be useful,
44VPATH = @srcdir@ 44VPATH = @srcdir@
45pkgdatadir = $(datadir)/@PACKAGE@ 45pkgdatadir = $(datadir)/@PACKAGE@
46pkglibdir = $(libdir)/@PACKAGE@ 46pkglibdir = $(libdir)/@PACKAGE@
47pkgincludedir = $(includedir)/@PACKAGE@ 47pkgincludedir = $(includedir)/@PACKAGE@
48top_builddir = ../.. 48top_builddir = ../..
49
49am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd 50am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
50INSTALL = @INSTALL@ 51INSTALL = @INSTALL@
51install_sh_DATA = $(install_sh) -c -m 644 52install_sh_DATA = $(install_sh) -c -m 644
52install_sh_PROGRAM = $(install_sh) -c 53install_sh_PROGRAM = $(install_sh) -c
53install_sh_SCRIPT = $(install_sh) -c 54install_sh_SCRIPT = $(install_sh) -c
57PRE_INSTALL = : 58PRE_INSTALL = :
58POST_INSTALL = : 59POST_INSTALL = :
59NORMAL_UNINSTALL = : 60NORMAL_UNINSTALL = :
60PRE_UNINSTALL = : 61PRE_UNINSTALL = :
61POST_UNINSTALL = : 62POST_UNINSTALL = :
62build_triplet = @build@
63host_triplet = @host@ 63host_triplet = @host@
64subdir = plugins/cfpython
65DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
66ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
67am__aclocal_m4_deps = $(top_srcdir)/libtool.m4 \
68 $(top_srcdir)/ltoptions.m4 $(top_srcdir)/ltsugar.m4 \
69 $(top_srcdir)/ltversion.m4 $(top_srcdir)/acinclude.m4 \
70 $(top_srcdir)/configure.ac
71am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
72 $(ACLOCAL_M4)
73mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
74CONFIG_HEADER = $(top_builddir)/include/autoconf.h
75CONFIG_CLEAN_FILES =
76am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
77am__vpath_adj = case $$p in \
78 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
79 *) f=$$p;; \
80 esac;
81am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
82am__installdirs = "$(DESTDIR)$(plugindir)"
83pluginLTLIBRARIES_INSTALL = $(INSTALL)
84LTLIBRARIES = $(plugin_LTLIBRARIES)
85cfpython_la_DEPENDENCIES =
86am_cfpython_la_OBJECTS = cfpython.lo cfpython_archetype.lo \
87 cfpython_object.lo cfpython_map.lo cfpython_party.lo \
88 cfpython_region.lo plugin_common.lo
89cfpython_la_OBJECTS = $(am_cfpython_la_OBJECTS)
90@PYTHON_PLUGIN_TRUE@am_cfpython_la_rpath = -rpath $(plugindir)
91DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
92depcomp = $(SHELL) $(top_srcdir)/utils/depcomp
93am__depfiles_maybe = depfiles
94COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
95 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
96LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
97 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
98 $(AM_CFLAGS) $(CFLAGS)
99CCLD = $(CC)
100LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
101 $(AM_LDFLAGS) $(LDFLAGS) -o $@
102SOURCES = $(cfpython_la_SOURCES)
103DIST_SOURCES = $(cfpython_la_SOURCES)
104RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
105 html-recursive info-recursive install-data-recursive \
106 install-exec-recursive install-info-recursive \
107 install-recursive installcheck-recursive installdirs-recursive \
108 pdf-recursive ps-recursive uninstall-info-recursive \
109 uninstall-recursive
110ETAGS = etags
111CTAGS = ctags
112DIST_SUBDIRS = $(SUBDIRS)
113DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
114ACLOCAL = @ACLOCAL@ 64ACLOCAL = @ACLOCAL@
115AMDEP_FALSE = @AMDEP_FALSE@ 65AMDEP_FALSE = @AMDEP_FALSE@
116AMDEP_TRUE = @AMDEP_TRUE@ 66AMDEP_TRUE = @AMDEP_TRUE@
117AMTAR = @AMTAR@ 67AMTAR = @AMTAR@
118AR = @AR@ 68AR = @AR@
127CCDEPMODE = @CCDEPMODE@ 77CCDEPMODE = @CCDEPMODE@
128CFLAGS = @CFLAGS@ 78CFLAGS = @CFLAGS@
129COMPRESS = @COMPRESS@ 79COMPRESS = @COMPRESS@
130CPP = @CPP@ 80CPP = @CPP@
131CPPFLAGS = @CPPFLAGS@ 81CPPFLAGS = @CPPFLAGS@
82CROSSEDIT = @CROSSEDIT@
132CYGPATH_W = @CYGPATH_W@ 83CYGPATH_W = @CYGPATH_W@
133DEFS = @DEFS@ 84DEFS = @DEFS@
134DEPDIR = @DEPDIR@ 85DEPDIR = @DEPDIR@
135ECHO = @ECHO@ 86ECHO = @ECHO@
136ECHO_C = @ECHO_C@ 87ECHO_C = @ECHO_C@
205am__fastdepCC_FALSE = @am__fastdepCC_FALSE@ 156am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
206am__fastdepCC_TRUE = @am__fastdepCC_TRUE@ 157am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
207am__include = @am__include@ 158am__include = @am__include@
208am__leading_dot = @am__leading_dot@ 159am__leading_dot = @am__leading_dot@
209am__quote = @am__quote@ 160am__quote = @am__quote@
210am__tar = @am__tar@
211am__untar = @am__untar@
212bindir = @bindir@ 161bindir = @bindir@
213build = @build@ 162build = @build@
214build_alias = @build_alias@ 163build_alias = @build_alias@
215build_cpu = @build_cpu@ 164build_cpu = @build_cpu@
216build_os = @build_os@ 165build_os = @build_os@
227install_sh = @install_sh@ 176install_sh = @install_sh@
228libdir = @libdir@ 177libdir = @libdir@
229libexecdir = @libexecdir@ 178libexecdir = @libexecdir@
230localstatedir = @localstatedir@ 179localstatedir = @localstatedir@
231mandir = @mandir@ 180mandir = @mandir@
232mkdir_p = @mkdir_p@
233no_x = @no_x@ 181no_x = @no_x@
234oldincludedir = @oldincludedir@ 182oldincludedir = @oldincludedir@
235pkgconfdir = @pkgconfdir@ 183pkgconfdir = @pkgconfdir@
236pkgstatedir = @pkgstatedir@ 184pkgstatedir = @pkgstatedir@
237prefix = @prefix@ 185prefix = @prefix@
240sharedstatedir = @sharedstatedir@ 188sharedstatedir = @sharedstatedir@
241sysconfdir = @sysconfdir@ 189sysconfdir = @sysconfdir@
242target_alias = @target_alias@ 190target_alias = @target_alias@
243x_includes = @x_includes@ 191x_includes = @x_includes@
244x_libraries = @x_libraries@ 192x_libraries = @x_libraries@
193
245plugindir = $(pkglibdir)/plugins 194plugindir = $(pkglibdir)/plugins
195
246SUBDIRS = include 196SUBDIRS = include
197
198@PYTHON_PLUGIN_TRUE@plugin_LTLIBRARIES = cfpython.la
247@PYTHON_PLUGIN_FALSE@plugin_LTLIBRARIES = 199@PYTHON_PLUGIN_FALSE@plugin_LTLIBRARIES =
248@PYTHON_PLUGIN_TRUE@plugin_LTLIBRARIES = cfpython.la
249cfpython_la_SOURCES = cfpython.c\ 200cfpython_la_SOURCES = cfpython.c\
250 cfpython_archetype.c\ 201 cfpython_archetype.c\
251 cfpython_object.c\ 202 cfpython_object.c\
252 cfpython_map.c\ 203 cfpython_map.c\
253 cfpython_party.c\ 204 cfpython_party.c\
254 cfpython_region.c\ 205 cfpython_region.c\
255 ../common/plugin_common.c 206 ../common/plugin_common.c
256 207
208
257cfpython_la_CPSOURCES = cfpython.c\ 209cfpython_la_CPSOURCES = cfpython.c\
258 cfpython_archetype.c\ 210 cfpython_archetype.c\
259 cfpython_object.c\ 211 cfpython_object.c\
260 cfpython_party.c\ 212 cfpython_party.c\
261 cfpython_region.c\ 213 cfpython_region.c\
262 cfpython_map.c 214 cfpython_map.c
263 215
216
264cfpython_la_LIBADD = @PYTHON_LIB@ @PY_LIBS@ 217cfpython_la_LIBADD = @PYTHON_LIB@ @PY_LIBS@
265cfpython_la_LDFLAGS = -module -avoid-version -Xlinker -export-dynamic -rdynamic -Xlinker -Bsymbolic 218cfpython_la_LDFLAGS = -module -avoid-version -Xlinker -export-dynamic -rdynamic -Xlinker -Bsymbolic
266AM_CPPFLAGS = -I$(srcdir)/include -I$(top_srcdir)/plugins/common/include -I$(top_srcdir)/include @PY_INCLUDES@ 219AM_CPPFLAGS = -I$(srcdir)/include -I$(top_srcdir)/plugins/common/include -I$(top_srcdir)/include @PY_INCLUDES@
220subdir = plugins/cfpython
221ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
222mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
223CONFIG_HEADER = $(top_builddir)/include/autoconf.h
224CONFIG_CLEAN_FILES =
225LTLIBRARIES = $(plugin_LTLIBRARIES)
226
227cfpython_la_DEPENDENCIES =
228am_cfpython_la_OBJECTS = cfpython.lo cfpython_archetype.lo \
229 cfpython_object.lo cfpython_map.lo cfpython_party.lo \
230 cfpython_region.lo plugin_common.lo
231cfpython_la_OBJECTS = $(am_cfpython_la_OBJECTS)
232
233DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
234depcomp = $(SHELL) $(top_srcdir)/utils/depcomp
235am__depfiles_maybe = depfiles
236@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/cfpython.Plo \
237@AMDEP_TRUE@ ./$(DEPDIR)/cfpython_archetype.Plo \
238@AMDEP_TRUE@ ./$(DEPDIR)/cfpython_map.Plo \
239@AMDEP_TRUE@ ./$(DEPDIR)/cfpython_object.Plo \
240@AMDEP_TRUE@ ./$(DEPDIR)/cfpython_party.Plo \
241@AMDEP_TRUE@ ./$(DEPDIR)/cfpython_region.Plo \
242@AMDEP_TRUE@ ./$(DEPDIR)/plugin_common.Plo
243COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
244 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
245LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
246 $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
247CCLD = $(CC)
248LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
249 $(AM_LDFLAGS) $(LDFLAGS) -o $@
250DIST_SOURCES = $(cfpython_la_SOURCES)
251
252RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
253 ps-recursive install-info-recursive uninstall-info-recursive \
254 all-recursive install-data-recursive install-exec-recursive \
255 installdirs-recursive install-recursive uninstall-recursive \
256 check-recursive installcheck-recursive
257DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
258DIST_SUBDIRS = $(SUBDIRS)
259SOURCES = $(cfpython_la_SOURCES)
260
267all: all-recursive 261all: all-recursive
268 262
269.SUFFIXES: 263.SUFFIXES:
270.SUFFIXES: .c .lo .o .obj 264.SUFFIXES: .c .lo .o .obj
271$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps) 265$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
272 @for dep in $?; do \
273 case '$(am__configure_deps)' in \
274 *$$dep*) \
275 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
276 && exit 0; \
277 exit 1;; \
278 esac; \
279 done; \
280 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu plugins/cfpython/Makefile'; \
281 cd $(top_srcdir) && \ 266 cd $(top_srcdir) && \
282 $(AUTOMAKE) --gnu plugins/cfpython/Makefile 267 $(AUTOMAKE) --gnu plugins/cfpython/Makefile
283.PRECIOUS: Makefile
284Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status 268Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
285 @case '$?' in \
286 *config.status*) \
287 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
288 *) \
289 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
290 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \ 269 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
291 esac; 270pluginLTLIBRARIES_INSTALL = $(INSTALL)
292
293$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
294 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
295
296$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
297 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
298$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
299 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
300install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES) 271install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES)
301 @$(NORMAL_INSTALL) 272 @$(NORMAL_INSTALL)
302 test -z "$(plugindir)" || $(mkdir_p) "$(DESTDIR)$(plugindir)" 273 $(mkinstalldirs) $(DESTDIR)$(plugindir)
303 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 274 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
304 if test -f $$p; then \ 275 if test -f $$p; then \
305 f=$(am__strip_dir) \ 276 f="`echo $$p | sed -e 's|^.*/||'`"; \
306 echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(plugindir)/$$f'"; \ 277 echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(plugindir)/$$f"; \
307 $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(plugindir)/$$f"; \ 278 $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(plugindir)/$$f; \
308 else :; fi; \ 279 else :; fi; \
309 done 280 done
310 281
311uninstall-pluginLTLIBRARIES: 282uninstall-pluginLTLIBRARIES:
312 @$(NORMAL_UNINSTALL) 283 @$(NORMAL_UNINSTALL)
313 @set -x; list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 284 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
314 p=$(am__strip_dir) \ 285 p="`echo $$p | sed -e 's|^.*/||'`"; \
315 echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(plugindir)/$$p'"; \ 286 echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(plugindir)/$$p"; \
316 $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(plugindir)/$$p"; \ 287 $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(plugindir)/$$p; \
317 done 288 done
318 289
319clean-pluginLTLIBRARIES: 290clean-pluginLTLIBRARIES:
320 -test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES) 291 -test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES)
321 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 292 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
322 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \ 293 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
323 test "$$dir" != "$$p" || dir=.; \ 294 test "$$dir" = "$$p" && dir=.; \
324 echo "rm -f \"$${dir}/so_locations\""; \ 295 echo "rm -f \"$${dir}/so_locations\""; \
325 rm -f "$${dir}/so_locations"; \ 296 rm -f "$${dir}/so_locations"; \
326 done 297 done
327cfpython.la: $(cfpython_la_OBJECTS) $(cfpython_la_DEPENDENCIES) 298cfpython.la: $(cfpython_la_OBJECTS) $(cfpython_la_DEPENDENCIES)
328 $(LINK) $(am_cfpython_la_rpath) $(cfpython_la_LDFLAGS) $(cfpython_la_OBJECTS) $(cfpython_la_LIBADD) $(LIBS) 299 $(LINK) -rpath $(plugindir) $(cfpython_la_LDFLAGS) $(cfpython_la_OBJECTS) $(cfpython_la_LIBADD) $(LIBS)
329 300
330mostlyclean-compile: 301mostlyclean-compile:
331 -rm -f *.$(OBJEXT) 302 -rm -f *.$(OBJEXT) core *.core
332 303
333distclean-compile: 304distclean-compile:
334 -rm -f *.tab.c 305 -rm -f *.tab.c
335 306
336@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfpython.Plo@am__quote@ 307@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfpython.Plo@am__quote@
340@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfpython_party.Plo@am__quote@ 311@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfpython_party.Plo@am__quote@
341@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfpython_region.Plo@am__quote@ 312@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfpython_region.Plo@am__quote@
342@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin_common.Plo@am__quote@ 313@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin_common.Plo@am__quote@
343 314
344.c.o: 315.c.o:
345@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \ 316@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
317@am__fastdepCC_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
346@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 318@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
319@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
320@am__fastdepCC_TRUE@ fi
347@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ 321@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
322@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
348@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 323@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
349@am__fastdepCC_FALSE@ $(COMPILE) -c $< 324@am__fastdepCC_FALSE@ $(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
350 325
351.c.obj: 326.c.obj:
352@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \ 327@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
328@am__fastdepCC_TRUE@ -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
353@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 329@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
330@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
331@am__fastdepCC_TRUE@ fi
354@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ 332@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
333@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
355@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 334@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
356@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'` 335@am__fastdepCC_FALSE@ $(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
357 336
358.c.lo: 337.c.lo:
359@am__fastdepCC_TRUE@ if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \ 338@am__fastdepCC_TRUE@ if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
339@am__fastdepCC_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
360@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 340@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
341@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
342@am__fastdepCC_TRUE@ fi
361@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ 343@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
344@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
362@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 345@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
363@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $< 346@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
347
348plugin_common.o: ../common/plugin_common.c
349@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.o -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
350@am__fastdepCC_TRUE@ -c -o plugin_common.o `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \
351@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Po"; \
352@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
353@am__fastdepCC_TRUE@ fi
354@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.o' libtool=no @AMDEPBACKSLASH@
355@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Po' tmpdepfile='$(DEPDIR)/plugin_common.TPo' @AMDEPBACKSLASH@
356@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
357@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.o `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c
358
359plugin_common.obj: ../common/plugin_common.c
360@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.obj -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
361@am__fastdepCC_TRUE@ -c -o plugin_common.obj `if test -f '../common/plugin_common.c'; then $(CYGPATH_W) '../common/plugin_common.c'; else $(CYGPATH_W) '$(srcdir)/../common/plugin_common.c'; fi`; \
362@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Po"; \
363@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
364@am__fastdepCC_TRUE@ fi
365@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.obj' libtool=no @AMDEPBACKSLASH@
366@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Po' tmpdepfile='$(DEPDIR)/plugin_common.TPo' @AMDEPBACKSLASH@
367@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
368@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.obj `if test -f '../common/plugin_common.c'; then $(CYGPATH_W) '../common/plugin_common.c'; else $(CYGPATH_W) '$(srcdir)/../common/plugin_common.c'; fi`
364 369
365plugin_common.lo: ../common/plugin_common.c 370plugin_common.lo: ../common/plugin_common.c
366@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.lo -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \ 371@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.lo -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
372@am__fastdepCC_TRUE@ -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \
367@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Plo"; else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; fi 373@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Plo"; \
374@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
375@am__fastdepCC_TRUE@ fi
368@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.lo' libtool=yes @AMDEPBACKSLASH@ 376@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.lo' libtool=yes @AMDEPBACKSLASH@
377@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Plo' tmpdepfile='$(DEPDIR)/plugin_common.TPlo' @AMDEPBACKSLASH@
369@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 378@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
370@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c 379@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c
371 380
372mostlyclean-libtool: 381mostlyclean-libtool:
373 -rm -f *.lo 382 -rm -f *.lo
374 383
384# To change the values of `make' variables: instead of editing Makefiles, 393# To change the values of `make' variables: instead of editing Makefiles,
385# (1) if the variable is set in `config.status', edit `config.status' 394# (1) if the variable is set in `config.status', edit `config.status'
386# (which will cause the Makefiles to be regenerated when you run `make'); 395# (which will cause the Makefiles to be regenerated when you run `make');
387# (2) otherwise, pass the desired values on the `make' command line. 396# (2) otherwise, pass the desired values on the `make' command line.
388$(RECURSIVE_TARGETS): 397$(RECURSIVE_TARGETS):
389 @failcom='exit 1'; \ 398 @set fnord $$MAKEFLAGS; amf=$$2; \
390 for f in x $$MAKEFLAGS; do \
391 case $$f in \
392 *=* | --[!k]*);; \
393 *k*) failcom='fail=yes';; \
394 esac; \
395 done; \
396 dot_seen=no; \ 399 dot_seen=no; \
397 target=`echo $@ | sed s/-recursive//`; \ 400 target=`echo $@ | sed s/-recursive//`; \
398 list='$(SUBDIRS)'; for subdir in $$list; do \ 401 list='$(SUBDIRS)'; for subdir in $$list; do \
399 echo "Making $$target in $$subdir"; \ 402 echo "Making $$target in $$subdir"; \
400 if test "$$subdir" = "."; then \ 403 if test "$$subdir" = "."; then \
402 local_target="$$target-am"; \ 405 local_target="$$target-am"; \
403 else \ 406 else \
404 local_target="$$target"; \ 407 local_target="$$target"; \
405 fi; \ 408 fi; \
406 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ 409 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
407 || eval $$failcom; \ 410 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
408 done; \ 411 done; \
409 if test "$$dot_seen" = "no"; then \ 412 if test "$$dot_seen" = "no"; then \
410 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ 413 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
411 fi; test -z "$$fail" 414 fi; test -z "$$fail"
412 415
413mostlyclean-recursive clean-recursive distclean-recursive \ 416mostlyclean-recursive clean-recursive distclean-recursive \
414maintainer-clean-recursive: 417maintainer-clean-recursive:
415 @failcom='exit 1'; \ 418 @set fnord $$MAKEFLAGS; amf=$$2; \
416 for f in x $$MAKEFLAGS; do \
417 case $$f in \
418 *=* | --[!k]*);; \
419 *k*) failcom='fail=yes';; \
420 esac; \
421 done; \
422 dot_seen=no; \ 419 dot_seen=no; \
423 case "$@" in \ 420 case "$@" in \
424 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ 421 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
425 *) list='$(SUBDIRS)' ;; \ 422 *) list='$(SUBDIRS)' ;; \
426 esac; \ 423 esac; \
437 local_target="$$target-am"; \ 434 local_target="$$target-am"; \
438 else \ 435 else \
439 local_target="$$target"; \ 436 local_target="$$target"; \
440 fi; \ 437 fi; \
441 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ 438 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
442 || eval $$failcom; \ 439 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
443 done && test -z "$$fail" 440 done && test -z "$$fail"
444tags-recursive: 441tags-recursive:
445 list='$(SUBDIRS)'; for subdir in $$list; do \ 442 list='$(SUBDIRS)'; for subdir in $$list; do \
446 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ 443 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
447 done 444 done
448ctags-recursive: 445ctags-recursive:
449 list='$(SUBDIRS)'; for subdir in $$list; do \ 446 list='$(SUBDIRS)'; for subdir in $$list; do \
450 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \ 447 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
451 done 448 done
452 449
450ETAGS = etags
451ETAGSFLAGS =
452
453CTAGS = ctags
454CTAGSFLAGS =
455
456tags: TAGS
457
453ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) 458ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
454 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ 459 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
455 unique=`for i in $$list; do \ 460 unique=`for i in $$list; do \
456 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 461 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
457 done | \ 462 done | \
458 $(AWK) ' { files[$$0] = 1; } \ 463 $(AWK) ' { files[$$0] = 1; } \
459 END { for (i in files) print i; }'`; \ 464 END { for (i in files) print i; }'`; \
460 mkid -fID $$unique 465 mkid -fID $$unique
461tags: TAGS
462 466
463TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ 467TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
464 $(TAGS_FILES) $(LISP) 468 $(TAGS_FILES) $(LISP)
465 tags=; \ 469 tags=; \
466 here=`pwd`; \ 470 here=`pwd`; \
467 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ 471 if (etags --etags-include --version) >/dev/null 2>&1; then \
468 include_option=--etags-include; \ 472 include_option=--etags-include; \
469 empty_fix=.; \
470 else \ 473 else \
471 include_option=--include; \ 474 include_option=--include; \
472 empty_fix=; \
473 fi; \ 475 fi; \
474 list='$(SUBDIRS)'; for subdir in $$list; do \ 476 list='$(SUBDIRS)'; for subdir in $$list; do \
475 if test "$$subdir" = .; then :; else \ 477 if test "$$subdir" = .; then :; else \
476 test ! -f $$subdir/TAGS || \ 478 test -f $$subdir/TAGS && \
477 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \ 479 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
478 fi; \ 480 fi; \
479 done; \ 481 done; \
480 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ 482 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
481 unique=`for i in $$list; do \ 483 unique=`for i in $$list; do \
482 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 484 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
483 done | \ 485 done | \
484 $(AWK) ' { files[$$0] = 1; } \ 486 $(AWK) ' { files[$$0] = 1; } \
485 END { for (i in files) print i; }'`; \ 487 END { for (i in files) print i; }'`; \
486 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \ 488 test -z "$(ETAGS_ARGS)$$tags$$unique" \
487 test -n "$$unique" || unique=$$empty_fix; \
488 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ 489 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
489 $$tags $$unique; \ 490 $$tags $$unique
490 fi 491
491ctags: CTAGS 492ctags: CTAGS
492CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ 493CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
493 $(TAGS_FILES) $(LISP) 494 $(TAGS_FILES) $(LISP)
494 tags=; \ 495 tags=; \
495 here=`pwd`; \ 496 here=`pwd`; \
508 && cd $(top_srcdir) \ 509 && cd $(top_srcdir) \
509 && gtags -i $(GTAGS_ARGS) $$here 510 && gtags -i $(GTAGS_ARGS) $$here
510 511
511distclean-tags: 512distclean-tags:
512 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags 513 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
514DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
515
516top_distdir = ../..
517distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
513 518
514distdir: $(DISTFILES) 519distdir: $(DISTFILES)
515 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \ 520 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
516 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \ 521 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
517 list='$(DISTFILES)'; for file in $$list; do \ 522 list='$(DISTFILES)'; for file in $$list; do \
521 esac; \ 526 esac; \
522 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ 527 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
523 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \ 528 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
524 if test "$$dir" != "$$file" && test "$$dir" != "."; then \ 529 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
525 dir="/$$dir"; \ 530 dir="/$$dir"; \
526 $(mkdir_p) "$(distdir)$$dir"; \ 531 $(mkinstalldirs) "$(distdir)$$dir"; \
527 else \ 532 else \
528 dir=''; \ 533 dir=''; \
529 fi; \ 534 fi; \
530 if test -d $$d/$$file; then \ 535 if test -d $$d/$$file; then \
531 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ 536 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
536 test -f $(distdir)/$$file \ 541 test -f $(distdir)/$$file \
537 || cp -p $$d/$$file $(distdir)/$$file \ 542 || cp -p $$d/$$file $(distdir)/$$file \
538 || exit 1; \ 543 || exit 1; \
539 fi; \ 544 fi; \
540 done 545 done
541 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ 546 list='$(SUBDIRS)'; for subdir in $$list; do \
542 if test "$$subdir" = .; then :; else \ 547 if test "$$subdir" = .; then :; else \
543 test -d "$(distdir)/$$subdir" \ 548 test -d $(distdir)/$$subdir \
544 || $(mkdir_p) "$(distdir)/$$subdir" \ 549 || mkdir $(distdir)/$$subdir \
545 || exit 1; \ 550 || exit 1; \
546 distdir=`$(am__cd) $(distdir) && pwd`; \
547 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
548 (cd $$subdir && \ 551 (cd $$subdir && \
549 $(MAKE) $(AM_MAKEFLAGS) \ 552 $(MAKE) $(AM_MAKEFLAGS) \
550 top_distdir="$$top_distdir" \ 553 top_distdir="$(top_distdir)" \
551 distdir="$$distdir/$$subdir" \ 554 distdir=../$(distdir)/$$subdir \
552 distdir) \ 555 distdir) \
553 || exit 1; \ 556 || exit 1; \
554 fi; \ 557 fi; \
555 done 558 done
556check-am: all-am 559check-am: all-am
557check: check-recursive 560check: check-recursive
558all-am: Makefile $(LTLIBRARIES) 561all-am: Makefile $(LTLIBRARIES)
559installdirs: installdirs-recursive 562installdirs: installdirs-recursive
560installdirs-am: 563installdirs-am:
561 for dir in "$(DESTDIR)$(plugindir)"; do \ 564 $(mkinstalldirs) $(DESTDIR)$(plugindir)
562 test -z "$$dir" || $(mkdir_p) "$$dir"; \ 565
563 done
564install: install-recursive 566install: install-recursive
565install-exec: install-exec-recursive 567install-exec: install-exec-recursive
566install-data: install-data-recursive 568install-data: install-data-recursive
567uninstall: uninstall-recursive 569uninstall: uninstall-recursive
568 570
578mostlyclean-generic: 580mostlyclean-generic:
579 581
580clean-generic: 582clean-generic:
581 583
582distclean-generic: 584distclean-generic:
583 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) 585 -rm -f $(CONFIG_CLEAN_FILES)
584 586
585maintainer-clean-generic: 587maintainer-clean-generic:
586 @echo "This command is intended for maintainers to use" 588 @echo "This command is intended for maintainers to use"
587 @echo "it deletes files that may require special tools to rebuild." 589 @echo "it deletes files that may require special tools to rebuild."
588clean: clean-recursive 590clean: clean-recursive
598 600
599dvi: dvi-recursive 601dvi: dvi-recursive
600 602
601dvi-am: 603dvi-am:
602 604
603html: html-recursive
604
605info: info-recursive 605info: info-recursive
606 606
607info-am: 607info-am:
608 608
609install-data-am: install-pluginLTLIBRARIES 609install-data-am: install-pluginLTLIBRARIES
636 636
637uninstall-am: uninstall-info-am uninstall-pluginLTLIBRARIES 637uninstall-am: uninstall-info-am uninstall-pluginLTLIBRARIES
638 638
639uninstall-info: uninstall-info-recursive 639uninstall-info: uninstall-info-recursive
640 640
641.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \ 641.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
642 clean clean-generic clean-libtool clean-pluginLTLIBRARIES \ 642 clean-generic clean-libtool clean-pluginLTLIBRARIES \
643 clean-recursive ctags ctags-recursive distclean \ 643 clean-recursive ctags ctags-recursive distclean \
644 distclean-compile distclean-generic distclean-libtool \ 644 distclean-compile distclean-generic distclean-libtool \
645 distclean-recursive distclean-tags distdir dvi dvi-am html \ 645 distclean-recursive distclean-tags distdir dvi dvi-am \
646 html-am info info-am install install-am install-data \ 646 dvi-recursive info info-am info-recursive install install-am \
647 install-data-am install-exec install-exec-am install-info \ 647 install-data install-data-am install-data-recursive \
648 install-info-am install-man install-pluginLTLIBRARIES \ 648 install-exec install-exec-am install-exec-recursive \
649 install-strip installcheck installcheck-am installdirs \ 649 install-info install-info-am install-info-recursive install-man \
650 install-pluginLTLIBRARIES install-recursive install-strip \
651 installcheck installcheck-am installdirs installdirs-am \
650 installdirs-am maintainer-clean maintainer-clean-generic \ 652 installdirs-recursive maintainer-clean maintainer-clean-generic \
651 maintainer-clean-recursive mostlyclean mostlyclean-compile \ 653 maintainer-clean-recursive mostlyclean mostlyclean-compile \
652 mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \ 654 mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
653 pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \ 655 pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
656 tags-recursive uninstall uninstall-am uninstall-info-am \
654 uninstall-info-am uninstall-pluginLTLIBRARIES 657 uninstall-info-recursive uninstall-pluginLTLIBRARIES \
658 uninstall-recursive
655 659
656 660
657proto: 661proto:
658 cproto -D__CEXTRACT__ -o include/cfpython_proto.h $(CPPFLAGS) $(AM_CPPFLAGS) \ 662 cproto -D__CEXTRACT__ -o include/cfpython_proto.h $(CPPFLAGS) $(AM_CPPFLAGS) \
659 `echo $(cfpython_la_CPSOURCES) " " | $(AWK) -v RS=" " '/.c$$/ { print }'` 663 `echo $(cfpython_la_CPSOURCES) " " | $(AWK) -v RS=" " '/.c$$/ { print }'`

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines